Resend webhooks for a transaction by ID
Resends webhook notifications for a transaction by its unique identifier.
Learn more about Fireblocks Webhooks in the following guide.
Endpoint Permissions: Admin, Non-Signing Admin, Signer, Approver, Editor.
POST
/
webhooks
/
resend
/
{txId}
TypeScript
const response: Promise<FireblocksResponse<ResendWebhooksByTransactionIdResponse>> = fireblocks.webhooks.resendTransactionWebhooks(webhooksApiResendTransactionWebhooksRequest);CompletableFuture<ApiResponse<ResendWebhooksByTransactionIdResponse>> response = fireblocks.webhooks().resendTransactionWebhooks(resendTransactionWebhooksRequest, txId, idempotencyKey);response = fireblocks.webhooks.resend_transaction_webhooks(resend_transaction_webhooks_request, tx_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/webhooks/resend/{txId} \
--header 'Content-Type: application/json' \
--data '
{
"resendCreated": true,
"resendStatusUpdated": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({resendCreated: true, resendStatusUpdated: true})
};
fetch('https://api.fireblocks.io/v1/webhooks/resend/{txId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the transaction for webhooks
Response
OK
Indicates whether the webhooks were successfully resent
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ResendWebhooksByTransactionIdResponse>> = fireblocks.webhooks.resendTransactionWebhooks(webhooksApiResendTransactionWebhooksRequest);CompletableFuture<ApiResponse<ResendWebhooksByTransactionIdResponse>> response = fireblocks.webhooks().resendTransactionWebhooks(resendTransactionWebhooksRequest, txId, idempotencyKey);response = fireblocks.webhooks.resend_transaction_webhooks(resend_transaction_webhooks_request, tx_id, idempotency_key);